VERSION 5.00
Object = "{8B3AC669-03E5-4B9C-AADE-0070E10D8449}#1.0#0"; "VB6Camera.ocx"
Begin VB.Form frmMain 
   Caption         =   "VB6Camera Example"
   ClientHeight    =   6690
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6675
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   177
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   6690
   ScaleWidth      =   6675
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picLogo 
      BackColor       =   &H80000012&
      BorderStyle     =   0  'None
      Height          =   1575
      Left            =   1080
      ScaleHeight     =   1575
      ScaleWidth      =   4455
      TabIndex        =   13
      Top             =   3600
      Width           =   4455
      Begin VB.Label lblTitle 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "VB6Camera"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   14.25
            Charset         =   177
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF8080&
         Height          =   345
         Left            =   1320
         TabIndex        =   15
         Top             =   480
         Width           =   1650
      End
      Begin VB.Label lblAddress 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "https://www.microncode.com"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   177
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF8080&
         Height          =   195
         Left            =   840
         TabIndex        =   14
         Top             =   840
         Width           =   2520
      End
   End
   Begin VB6Camera.cCam cCam1 
      Height          =   3855
      Left            =   600
      TabIndex        =   12
      Top             =   2640
      Width           =   5535
      _ExtentX        =   9763
      _ExtentY        =   6800
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "Connect"
      Height          =   435
      Left            =   600
      TabIndex        =   11
      Top             =   600
      Width           =   5415
   End
   Begin VB.ComboBox cboDrivers 
      Height          =   315
      Left            =   600
      Style           =   2  'Dropdown List
      TabIndex        =   10
      Top             =   240
      Width           =   5415
   End
   Begin VB.CommandButton cmdLoadPalette 
      Caption         =   "Load Palette"
      Height          =   375
      Left            =   4800
      TabIndex        =   9
      Top             =   1200
      Width           =   1215
   End
   Begin VB.CommandButton cmdSavePalette 
      Caption         =   "Save Palette"
      Height          =   375
      Left            =   4800
      TabIndex        =   8
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton cmdSetCaptureFile 
      Caption         =   "Set Capture File"
      Height          =   375
      Left            =   600
      TabIndex        =   7
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CommandButton cmdAudioFormat 
      Caption         =   "Audio Format"
      Height          =   375
      Left            =   2160
      TabIndex        =   6
      Top             =   2160
      Width           =   1335
   End
   Begin VB.CommandButton cmdFormat 
      Caption         =   "Format"
      Height          =   375
      Left            =   1920
      TabIndex        =   5
      Top             =   1200
      Width           =   1215
   End
   Begin VB.CommandButton cmdSource 
      Caption         =   "Source"
      Height          =   375
      Left            =   600
      TabIndex        =   4
      Top             =   1200
      Width           =   1215
   End
   Begin VB.CommandButton cmdDisplay 
      Caption         =   "Display"
      Height          =   375
      Left            =   600
      TabIndex        =   3
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton cmdCompression 
      Caption         =   "Compression"
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton cmdCapture 
      Caption         =   "Capture"
      Height          =   375
      Left            =   3600
      TabIndex        =   1
      Top             =   2160
      Width           =   1215
   End
   Begin VB.CommandButton cmdFrame 
      Caption         =   "Frame"
      Height          =   375
      Left            =   4920
      TabIndex        =   0
      Top             =   2160
      Width           =   1215
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cCam1_Error(lErrNumber As Long, sErrMessage As String)

'Display error message
MsgBox "Error: " & sErrMessage & "(" & lErrNumber & ")"

End Sub

Private Sub cmdCompression_Click()

'Set video compression
cCam1.SetCompression

End Sub

Private Sub cmdAudioFormat_Click()

'Set audio compression
cCam1.SetAudioFormatDlg

End Sub

Private Sub cmdCapture_Click()

'Set the movie file
cCam1.SetCapFile App.Path & "\camera_capture.avi"

'Start capture
cCam1.Capture 15, False, 30, True, True, True, True, True, -1

End Sub

Private Sub cmdConnect_Click()

'Connect to the driver
Call cCam1.ConnectDriver(cboDrivers.ListIndex)

'Disable the logo:
picLogo.Visible = False

End Sub

Private Sub cmdDisplay_Click()

'Set display options
cCam1.SetDisplay

End Sub

Private Sub cmdFormat_Click()

'Set format options
cCam1.SetFormat

End Sub

Private Sub cmdFrame_Click()

'Capture frame to bmp
cCam1.SaveSingleFrame App.Path & "\CamCapture.bmp"

End Sub

Private Sub cmdLoadPalette_Click()

'Load Palette
cCam1.PaletteLoad

End Sub

Private Sub cmdSavePalette_Click()

'Save Palette
cCam1.PaletteSave

End Sub

Private Sub cmdSetCaptureFile_Click()

'Set the capture video file
cCam1.SetCapFile App.Path & "\camera_capture.avi"

End Sub

Private Sub cmdSource_Click()

'Set the source options
cCam1.SetSource

End Sub


Private Sub Form_Load()

'Init the control:
'Must be call before using any
'functionality of the control.
'sKey = Your registration key.
'On trial mode use the "Trial Mode."
cCam1.Init "Trial Mode."

'Load the drivers
Dim cDrivers As Collection
Dim cntr As Long

Dim lDeviceCntr As Long
lDeviceCntr = cCam1.GetDriversX

If lDeviceCntr > 0 Then
    
    For cntr = 1 To lDeviceCntr
        cboDrivers.AddItem cCam1.GetDriverXVal(cntr)
    Next cntr
    
    'Select the first driver
    cboDrivers.ListIndex = 0
    
End If

End Sub

Private Sub Form_Unload(Cancel As Integer)

'Release the control
'from the memory:
cCam1.DeInit

End Sub

